Bug 2664 - Additem form should preselect logged-in branch
Summary: Additem form should preselect logged-in branch
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-08 08:31 UTC by Owen Leonard
Modified: 2012-10-25 22:52 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Examples in Koha where alphabetization and 'set library' defaults are needed (716.00 KB, application/msword)
2009-04-20 15:56 UTC, Chris Cormack
Details
Proposed Patch (1.28 KB, patch)
2010-10-05 09:43 UTC, Colin Campbell
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:54:10 UTC


---- Reported by oleonard@myacpl.org 2008-10-08 08:31:03 ----

When adding a new item, the 'permanent location' and 'current location' dropdowns should preselect the branch the user is logged in with.



---- Additional Comments From wizzyrea@gmail.com 2009-04-20 15:51:29 ----

Additionally, the library names are sorted nonsensically, library name vs. library code.



---- Additional Comments From smoreland@nekls.org 2009-04-20 15:56:55 ----

Created an attachment
Examples in Koha where alphabetization and 'set library' defaults are needed

We've identified a lot of places in the catalog where lists need to be alphabetized and the 'set library' needs to be selected as the default in drop-down menus.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:54 UTC  ---

This bug was previously known as _bug_ 2664 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2664
Imported an attachment (id=781)

Actual time not defined. Setting to 0.0
The original submitter of attachment 781 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Colin Campbell 2010-10-05 09:43:59 UTC
Created attachment 2665 [details] [review]
Proposed Patch
Comment 2 MJ Ray (software.coop) 2010-11-11 13:42:31 UTC
This bug is mentioned in:
Bug 2664: Add item should preselect logged	in branch http://lists.koha-community.org/pipermail/koha-patches/2010-October/012612.html
Bug 2664: Add item should	preselect logged in branch http://lists.koha-community.org/pipermail/koha-patches/2010-October/012613.html
Comment 3 Chris Cormack 2010-12-15 01:36:51 UTC
This was pushed, please test
Comment 4 Liz Rea 2010-12-15 14:48:22 UTC
Tested this morning - Works great.

Thanks!